Bug 8679 - Remove usage of Amazon API
Summary: Remove usage of Amazon API
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-23 17:21 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8679 - Remove usage of Amazon API (61.21 KB, patch)
2012-08-23 19:37 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8679 - Remove usage of Amazon API (61.41 KB, patch)
2012-08-23 19:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 8679 [REVISED] Remove usage of Amazon API (60.02 KB, patch)
2012-08-28 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8679 [REVISED] Remove usage of Amazon API (60.22 KB, patch)
2012-08-28 12:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-08-23 17:21:14 UTC
Koha hasn't been updated to use the new Amazon API and no one appears to want to do so. Anyone choosing to undertake the task would appear to do so at their own risk, given the Amazon.com Product Advertising API License Agreement (https://affiliate-program.amazon.com/gp/advertising/api/detail/agreement.html) says that Amazon must approve each system's request for API access and:

"Unsuitable applications include those that: ... do not have as their principal purpose advertising and marketing the Amazon Site and driving sales of products and services on the Amazon Site."

Instead of continuing to ship new versions of Koha with broken Amazon integration I think we should remove the functionality which depends on the API.
Comment 1 Katrin Fischer 2012-08-23 17:52:08 UTC
+1
Comment 2 Owen Leonard 2012-08-23 19:37:13 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-08-23 19:49:03 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2012-08-27 12:34:22 UTC
QA Comments:
All seems good.
But there is 1 occurrence left of C4::External::Amazon in the unit test : t/db_dependent/Amazon.t

Marked as Failed QA
Comment 5 Owen Leonard 2012-08-28 12:33:09 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-08-28 12:42:21 UTC
Created attachment 11864 [details] [review]
[SIGNED-OFF] Bug 8679 [REVISED] Remove usage of Amazon API

This patch removes the AmazonReviews and AmazonSimilarItems
features from the OPAC and staff client. With on Amazon
feature remaining, cover images, the *AmazonEnabled preference
is also removed in favor of checking the *AmazonCoverImages
preference. Two other system preferences, AWSAccessKeyID and
AWSPrivateKey are removed as they were required only by the
removed features.

Handling of book cover images from Amazon is unchanged.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Turned on amazon covers in opac and staff client and all
worked as expected. Then tested to make sure other cover image
services still worked and they do.

Signing off.
Comment 7 Jonathan Druart 2012-08-28 13:10:24 UTC
Marked as Passed QA
Comment 8 Paul Poulain 2012-08-29 15:47:19 UTC
Patch pushed. I suggest that it's not backported to 3.8 even it's it's a bugfix, because some hidden problem could be hard to detect.

I checked that there is no more occurrences of the removed sysprefs or subs, could not find any problem